/*
 *    Example program for the Allegro library, by Shawn Hargreaves.
 *
 *    This program demonstrates how to play samples.
 */


#include <stdlib.h>
#include <stdio.h>

#include "allegro.h"


int main(int argc, char *argv[])
{
   SAMPLE *the_sample;
   int pan = 128;
   int pitch = 1000;

   allegro_init();
   //install_timer();

   /* install a digital sound driver */
   if (install_sound(DIGI_AUTODETECT, MIDI_NONE, argv[0]) != 0) {
      printf("Error initialising sound system\n%s\n", allegro_error);
      return 1;
   }

   /* read in the WAV file */
   the_sample = load_sample("ccs1.wav");
   if (!the_sample) {
      printf("Error reading WAV file '%s'\n", "ccs1.wav");
      return 1;
   }

   /* start up the sample */
   play_sample(the_sample, 255, pan, pitch, TRUE);

   system("ctvrc.exe");

   /* destroy the sample */
   destroy_sample(the_sample);

   return 0;
}
